summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAge
* r481: * Whoops, I forgot to revert dh_perl too. Closes: #101477joey2001-06-19
|
* r480: * Revert change of 3.0.30. This broke too much stuff. Maybe I'lljoey2001-06-18
| | | | change it in debhelper v4..
* r479: * Unimportant spelling fix. Closes: #100666joey2001-06-14
|
* r478: * dh_gencontrol: Work around very strange hurd semanticsjoey2001-06-11
| | | | which allow "" to be an empty file. Closes: #100542
* r477: * Check that update-modules is present before running it, since ↵joey2001-06-10
| | | | | | modutils is not essential. Closes: #100430
* r476: * Remove dh_testversion from example rules file, Closes: #99901joey2001-06-08
|
* r475: * dh_gencontrol: Added a documented interface for specifying substvarsjoey2001-06-03
| | | | | | | | | | | | | | | data in a file. Substvars data may be put in debian/package.substvars. (Those files used to be used by debhelper for automatically generated data, but it uses a different internal filename now). It will be merged with any automatically determined substvars data. See bug #98819 * I want to stress that no one should ever rely in internal, undocumented debhelper workings. Just because debhelper uses a certian name for some internally used file does not mean that you should feel free to modify that file to your own ends in a debian package. If you do use it, don't be at all suprised when it breaks. If you find that debhelper is lacking a documented interface for something that you need, ask for it! (debhelper's undocumented, internal use only files should now all be prefixed with ".debhelper")
* r474: * Added -X flag to dh_makeshlibs, for packages with wacky plugins thatjoey2001-06-01
| | | | look just like shared libs, but are not.
* r473: * dh_clean: clean up temp files used by earlier versons of debhelper.joey2001-05-30
| | | | Closes: #99169
* r472: * Fixed issues with extended parameters to dh_gencontrol including ↵joey2001-05-29
| | | | | | | | | | | | | | | spaces and quotes. This was some histirical cruft that deals with splitting up the string specified by -u, and it should not have applied to the set of options after --. Now that it's fixed, any and all programs that support a -- and options after it, do not require any special quoting of the succeeding options. Quote just like you would in whatever program those options go to. So, for example, dh_gencontrol -Vblah:Depends='foo, bar (>= 1.2)' will work just as you would hope. This fix does NOT apply to -u; don't use -u if you must do something complex. Closes: #89311 * Made escape_shell output a lot better.
* r471: * Always include package name in maintainer script fragment filenamesjoey2001-05-24
| | | | | | and generated shlibs files (except for in DH_COMPAT=1 mode). This is a purely cosmetic change, and if it breaks anything, you were using an undocumented interface. Closes: #95387
* r470: * dh_makeshlins: append to LD_LIBRARY_PATH at start, not each timejoey2001-05-24
| | | | through loop. Closes: #98598
* r469: * Missing semi-colon.joey2001-05-15
| | | | | * Call dh_shlibdeps as part of build process, as simple guard against this (dh_* should be called, really).
* r468: * dh_shlibdeps: the -l switch now just adds to LD_LIBRARY_PATH, if ↵joey2001-05-15
| | | | | | | | it is already set. Newer fakeroots set it, and clobbering their settings breaks things since they LD_PRELOAD a library that is specified in the LD_LIBRARY_PATH. (blah) Closes: #97494
* r467: * dh_installinfo: doc enchancement, Closes: #97515joey2001-05-15
| | | | | * dh_md5sums: don't fail if pwd has spaces in it (must be scraping the bottom of the bug barrel here). Closes: #97404
* r466: * Corrected bashism (echo -e, DAMNIT), in rules file that resulted in ajoey2001-05-12
| | | | corrupted Dh_Version.pm. Closes: #97236
* r465: * Modified the postrm fragment for dh_installxfonts to not try to ↵joey2001-05-11
| | | | | | | delete any files. The responsibility for doing so devolves onto update-fonts-* (which don't yet, but will). See bug #94752
* r464: * Now uses html2text rather than lynx for converting html changelogs.joey2001-05-08
| | | | | | The program generates better results, and won't annoy the people who were oddly annoyed at having to install lynx. Instead, it will annoy a whole other set of people, I'm sure. Closes: #93747
* r463: * dh_perl: updates from bod:joey2001-04-25
| | | | | | - Provide minimum version for arch-indep module dependencies (perl-policy 1,18, section 3.4.1). - Always update substvars, even if Perl:Depends is empty.
* r462: * dh_shlibdeps: document that -l accepts multiple dirs, andjoey2001-04-20
| | | | make multiple dirs absolute properly, not just the first.
* r461: * Documented -isp, Closes: #93983joey2001-04-15
|
* r460: updatejoey2001-04-09
|
* r459: use predefined character classes for readabilityjoey2001-04-04
|
* r458: * Typo, Closes: #92407joey2001-04-03
|
* r457: * dh_strip: ensure that the file _ends_ with `.a'. Closes: #90647joey2001-03-22
|
* r456: * dh_makeshlibs: more support for nasty soname formats, Closes: #90520joey2001-03-21
|
* r455: * Applied a patch from Anton Zinoviev <anton@lml.bas.bg> to pass -ejoey2001-03-17
| | | | to mkfontdir. Closes: #89418
* r454: * dh_makeshlibs: don't follow links to .so files. Instead, we will lookjoey2001-03-14
| | | | | | | for *.so* files. This should work for the variously broken db3, liballeg, and it will fix the problem with console-tools-dev, which contained (arguably broken) absolute symlinks to real files, which were followed. Closes: #85483
* r453: * Fixed broken -e #SCRIPT# tests in init script start/stop/restart ↵joey2001-03-13
| | | | | | | code. Arrgh. All packages built with the old code (that is, all daemon packages built with debhelper 3.0.9!) are broken. Closes: #89472
* r452: *joey2001-03-13
|
* r451: * Fixed broken -e #SCRIPT# tests in init script start/stop/restart ↵joey2001-03-13
| | | | | | | code. Arrgh. All packages built with the old code (that is, all daemon packages built with debhelper 3.0.9!) are broken. Closes: #89472
* r450: * Modified to use dpkg-architecture instead of dpkg ↵joey2001-03-05
| | | | | | | | | | | | | | | | | | | | | | | | --print-architecture. I hate this, and wish it wasn't necessary to make cross compiles for the hurd work. Closes: #88494 * Now depends on debconf-utils for debconf-mergetemplates. Closes: #87321 * Continues to depend on lynx for html changelog conversions. Yes, these and packages with translated debconf templates are rather rare, but it makes more sense for debhelper to consistently depend on all utilities it uses internally rather than force people to keep their dependancies up to date with debhelper internals. If I decide tomorrow that w3m is the better program to use to format html changelogs, I can make the change and packages don't need to update their build dependancies. Closes: #88464, #77743 * Test for init scripts before running them, since they are conffiles and the admin may have removed them for some reason, and policy wants us to deal with that gracefully. * dh_makeshlibs: now uses objdump, should be more accurate. Closes: #88426 * Wildcards have been supported for a while, Closes: #54197 * dh_installdocs and dh_link have been able to make doc-dir symlinks for a while, Closes: #51225
* r449: * dh_perl updatejoey2001-02-25
|
* r448: * dh_makeshlibs: only generate call to ldconfig if it really looks likejoey2001-02-23
| | | | a given *.so* file is indeed a shared library.
* r447: * Corrected some uninitialized value stuff in dh_suidregister (actuallyjoey2001-02-17
| | | | | | quite a bad bug). * dh_installman: fixed variable socoping error, so file conversions should work now.
* r446: spelling patchjoey2001-02-15
|
* r445: * Updated dh_perl to a new version for the new perl organization andjoey2001-02-14
| | | | | | | | | policy. The -k flag has been done away with, as the new perl packages don't make packlist files. * Fixed some bugs in the new dh_perl and updated it to my current debhelper coding standards. * Use dh_perl to generate debhelper's own deps. * Version number increase to meet perl policy.
* r444: new dh_perl. Not yet released, since perl is not yet through incoming.joey2001-02-13
|
* r443: * Build-depends on perl-5.6, since it uses 2 argument pod2man.joey2001-02-13
| | | | * Cleanups of debhelper.1 creation process.
* r442: fixed bad new bugjoey2001-02-10
|
* r441: * Added dh_installman, a new program that replaces dh_installmanpages.joey2001-02-10
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | It is not DWIM. You tell it what to install and it figures out where based on .TH section field and filename extention. I reccommend everyone begin using it, since this is much better then dh_installmanpages's evilness. I've been meaning to do this for a very long time.. Closes: #38673, #53964, #64297, #16933, #17061, #54059, #54373, #61816 * dh_installmanpages remains in the package for backwards compatability, but is mildly deprecated. * dh_testversion is deprecated; use build dependancies instead. * dh_suidregister: re-enabled. Aj thinks that requiring people to stop using it is unacceptable. Who am I to disagree with a rc bug report? Closes: #84910 It is still deprecated, and it will still whine at you if you use it. I appreciate the job everyone has been doing at switching to statoverrides.. * Since dh_debstd requires dh_installmanpages (where do you think the latter's evil interface came from?), I have removed it. It was a nice thought-toy, but nobody really used it, right? * Since the from-debstd document walks the maintainer through running dh_debstd to get a list of debhelper commands, and since that document has really outlives its usefullness, I removed it too. Use dh-make instead. * dh_installman installs only into /usr/share/man, not the X11R6 directory. Policy says "files must not be installed into `/usr/X11R6/bin/', `/usr/X11R6/lib/', or `/usr/X11R6/man/' unless this is necessary for the package to operate properly", and I really doubt a man page being in /usr/share/man is going to break many programs. Closes: #81853 (I hope the bug submitter doesn't care that dh_installmanpages still puts stuff in the X11R6/man directory.) * dh_undocumented now the same too now. * dh_installinit: installs debian/package.default files as /etc/default/ files. * Updated to current perl coding standards (use strict, lower-case variable names, pod man pages). * Since with the fixing of the man page installer issue, my checklist for debhelper v3 is complete, I pronounce debhelper v3 done! Revved the version number appropriatly (a large jump; v3 changes less than I had planned). Note that I have no plans for a v4 at this time. :-) * Testing: I have used this new version of debhelper to build a large number of my own packages, and it seems to work. But this release touches every file in this package, so be careful out there..
* r440: foojoey2001-02-10
|
* r439: attack of the pod people from the planet perl is completejoey2001-02-10
|
* r438: typojoey2001-02-10
|
* r437: updatesjoey2001-02-10
|
* r436: more podsjoey2001-02-10
|
* r435: turned back on (damnit)joey2001-02-10
|
* r434: added back (sigh)joey2001-02-09
|
* r433: this is getting *so* boring.joey2001-02-09
|
* r432: more podization, will it ever end?joey2001-02-09
|